require "dont_think/version"

module DontThink
  # Your code goes here...
  class Source
    def path
      File.expand_path('data/source.txt')
    end

    def content
      File.read path
    end

    def sentences
      @sentences ||= load_sentences
    end

    def load_sentences
      content.split("\n").reject {|s| s.empty? || s.nil? }
    end

    def random_sentence
      sentences.sample
    end
  end
end
